﻿CREATE TABLE [dbo].[MMM_EditMarket_SaveSettings] (
    [Id]               UNIQUEIDENTIFIER NOT NULL,
    [UserId]           UNIQUEIDENTIFIER NOT NULL,
    [ProjectID]        UNIQUEIDENTIFIER NOT NULL,
    [MarketID]         UNIQUEIDENTIFIER NOT NULL,
    [SectionName]      VARCHAR (255)    NOT NULL,
    [PageLevel]        UNIQUEIDENTIFIER NOT NULL,
    [Type]             VARCHAR (255)    NOT NULL,
    [VariableValue]    BIT              NULL,
    [CreatedOn]        DATETIME2 (7)    NOT NULL,
    [UserCreatedById]  UNIQUEIDENTIFIER NOT NULL,
    [ModifiedOn]       DATETIME2 (7)    NULL,
    [UserModifiedById] UNIQUEIDENTIFIER NULL,
    [IsDeleted]        BIT              NULL,
    [DeletedOn]        DATETIME2 (7)    NULL,
    [UserDeletedById]  UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_EditMarket_SaveSettings_ID] PRIMARY KEY CLUSTERED ([Id] ASC),
    FOREIGN KEY ([PageLevel]) REFERENCES [dbo].[MMM_PageLevels] ([ID]),
    FOREIGN KEY ([ProjectID]) REFERENCES [dbo].[Project] ([ID]),
    FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[Customer] ([Id]),
    FOREIGN KEY ([UserDeletedById]) REFERENCES [dbo].[Customer] ([Id]),
    FOREIGN KEY ([UserId]) REFERENCES [dbo].[AviraUser] ([Id]),
    FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[Customer] ([Id]),
    CONSTRAINT [FK__MMM_EditM__Marke__5CA5B9B4] FOREIGN KEY ([MarketID]) REFERENCES [dbo].[MakeMyMarkets] ([Id])
);

